#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	Library to read DVD images
Summary(pl.UTF-8):	Biblioteka do odczytu obrazów DVD-Video
Name:		libdvdread
Version:	6.0.2
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	https://download.videolan.org/pub/videolan/libdvdread/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	49990935174bf6b2fa501e789c578135
URL:		http://dvdnav.mplayerhq.hu/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.6
BuildRequires:	libtool >= 2:2
BuildRequires:	tar >= 1:1.22
Suggests:	libdvdcss >= 1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdvdread provides a simple foundation for reading DVD-Video images.

For reading CSS-encrypted DVDs you will also need libdvdcss package.

%description -l pl.UTF-8
Biblioteka dostarczająca prosty interfejs do odczytu obrazów
DVD-Video.

Aby czytać płyty DVD szyfrowane CSS potrzebny jest także pakiet
libdvdcss.

%package devel
Summary:	Header files for libdvread library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdvdread
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The include files and other resources you can use to incorporate
libdvdread into applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz dokumentacja pozwalająca na dodawanie obsługi
dvd w swoich programach.

%package static
Summary:	libdvdread static libraries
Summary(pl.UTF-8):	Statyczne biblioteki do obsługi formatu DVD-Video
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libdvdread libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libdvdread.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libdvdread.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdvdread.so.7

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdvdread.so
%{_libdir}/libdvdread.la
%{_includedir}/dvdread
%{_pkgconfigdir}/dvdread.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdvdread.a
%endif
%changelog
* Thu Oct 31 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdvdread.git;a=log;h=master

* Thu Oct 31 2019 Jakub Bogusz <qboosh@pld-linux.org> 43d7c36
- updated to 6.0.2

* Thu Feb 14 2019 Jakub Bogusz <qboosh@pld-linux.org> 71d30df
- updated to 6.0.1

* Sat Oct 27 2018 Jakub Bogusz <qboosh@pld-linux.org> e5f5dea
- updated libtool version, suggest libdvdcss

* Mon Jul 23 2018 Elan Ruusamäe <glen@pld-linux.org> ce8f8ba
- up to 6.0.0

* Sun Apr 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 6b7635b
- updated to 5.0.3

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> e90b334
- x32 rebuild
- release 2 (by relup.sh)

* Mon Feb 16 2015 Jakub Bogusz <qboosh@pld-linux.org> 07f2a07
- updated to 5.0.2
- removed obsolete alpha,buffix patches

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> b581310
- rm BR: xz (source is tar.bz2 again)

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> d866e8f
- rel. 1

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> ebdbd65
- packaged 'NEWS' doc

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> 1e92bd2
- rm doc/libdvdread directory in install section

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> 9a70aff
- rm version.patch

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> 0fd33b8
- ver. 5.0.0

* Thu Oct 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 8075554
- disable silent-rules

* Tue Oct 07 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ef3643
- rel 2; dvdread-config and dvdread.m4 are gone

* Fri Apr 18 2014 Jakub Bogusz <qboosh@pld-linux.org> f2b9924
- updated to 4.9.9

* Wed Nov 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 2c70045
- updated to 4.2.1

* Fri Mar 16 2012 Jakub Bogusz <qboosh@pld-linux.org> aba2fb5
- more specific URL

* Fri Mar 16 2012 Jakub Bogusz <qboosh@pld-linux.org> c25a865
- added buffix patch (read buffer handling bugfix from libdvdread 0.9.7)
- added version patch (change version code from 904 to 907 - this version contains most
  of the functionality enhancements after the fork, i.e. between 0.9.4 and 0.9.7,
  except for (mainly) O_DIRECT)

* Fri Mar 16 2012 Szymon Siwek <sls@pld-linux.org> b780941
- libdvdread-alpha.patch updated to 4.2.0
- rel. 1

